Bug 129650 - Authenticated menu not shown immediately after login.
Summary: Authenticated menu not shown immediately after login.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D   
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ryan Bloom
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-08-11 14:04 UTC by Jesus M. Rodriguez
Modified: 2007-04-18 17:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 20:47:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesus M. Rodriguez 2004-08-11 14:04:40 UTC
Browse to http://localhost:8080/
Notice the nav menu with "Sign In" and "About RHN"
Login with a valid RHN user.
Notice the menu has not changed.
Click "View A List of Users" link
Notice the nav menu changes to the authenticated one.

The authenticated menu should show up immediately after login.  I
believe the culprit to be the AuthServlet which puts in the user to
the session.

Comment 1 Ryan Bloom 2004-08-13 20:47:58 UTC
we now go straight to the userlist page with a real redirect, so that
the site realizes we are logged in.


Note You need to log in before you can comment on or make changes to this bug.